
Redmine - Feature #7289

Copy project

2011-01-11 12:31 - Luis Serrano Aranda

Status: Closed Start date: 2011-01-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

If the project has subprojects the option to copy will not copy the sub-projects

Related issues:

Has duplicate Redmine - Feature #7748: Options to copy subprojects, tasks... ... Reopened 2011-03-01

History

#1 - 2011-02-10 11:10 - Luis Serrano Aranda

This feature would be useful to create templates of the project (with subprojects), just change the name of the parent project and  keep the name of

the subprojects.

I'm trying to make a patch, if someone could help me I would appreciate (funcion of lft rgt),

I think lft is the next subproject in the branch until rgt is lft+1, if this lft is not the lft of the parent+1 exit more subproject in the parent.

Is this the correct operation?

Thanks

#2 - 2011-02-10 11:12 - Luis Serrano Aranda

lft in the parent is 199 and rgt is the number +1 of the last project

#3 - 2011-02-10 11:19 - Luis Serrano Aranda

Luis Serrano Aranda wrote:

In the parent rgt is the number+1 of the rgt of the last subproject

If the project don't have subprojects rgt = lft + 1

#4 - 2011-02-10 11:21 - Luis Serrano Aranda

Luis Serrano Aranda wrote:

Luis Serrano Aranda wrote:

In the parent rgt is the number+1 of the rgt of the last subproject

If the project don't have subprojects rgt = lft + 1

 I move this to the development forum

#5 - 2011-03-01 16:44 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Duplicate

Closed as duplicated by #7748 (more complete).
